@charset "utf-8";

.contact {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-content: center;

  row-gap: 1em;

  padding-top: 1em;
  padding-right: 1em;
  padding-bottom: 1em;
  padding-left: 1em;

  input[name="wana"] {
    position: absolute;

    width: 1px;
    height: 1px;
    margin-top: -1px;
    margin-right: -1px;
    margin-bottom: -1px;
    margin-left: -1px;

    border-top-width: 0;
    border-right-width: 0;
    border-bottom-width: 0;
    border-left-width: 0;

    padding-top: 0;
    padding-right: 0;
    padding-bottom: 0;
    padding-left: 0;

    overflow: hidden;
    clip: rect(0, 0, 0, 0);
  }

  label {
    display: flex;
    flex-wrap: wrap;
    align-items: center;

    row-gap: 0.25em;
    column-gap: 0.25em;

    cursor: pointer;

    span {
      flex-basis: 9em;
      flex-shrink: 0;

      font-weight: bold;
    }

    em {
      flex-basis: fit-content;
      flex-shrink: 0;

      border-radius: 4px;

      padding-top: 0.1em;
      padding-right: 0.4em;
      padding-bottom: 0.1em;
      padding-left: 0.4em;

      background-color: #c33;
      color: #fff;
      font-size: 0.75em;
      font-style: normal;
    }

    input:not([type="checkbox"]),
    textarea {
      flex-grow: 1;
      flex-basis: 16em;

      min-width: 0;

      border-width: 1px;
      border-style: solid;
      border-color: #f90;
      border-radius: 4px;

      padding-top: 0.5em;
      padding-right: 0.5em;
      padding-bottom: 0.5em;
      padding-left: 0.5em;

      cursor: text;
    }

    textarea {
      height: 10em;
    }
  }

  label:has(input[type="checkbox"]) {
    justify-content: center;

    input[type="checkbox"] {
      transform: scale(1.2);

      appearance: auto;
      accent-color: #f60;
    }
  }

  .notice {
    color: #c33;
    font-size: 0.75em;
  }

  #submit-button {
    margin-right: auto;
    margin-left: auto;

    border-top-style: none;
    border-right-style: none;
    border-bottom-style: none;
    border-left-style: none;
    border-radius: 4px;

    padding-top: 0.5em;
    padding-right: 2em;
    padding-bottom: 0.5em;
    padding-left: 2em;

    background-color: #f60;
    color: #fff;
    text-align: center;

    transition-property: opacity;
    transition-duration: 0.2s;

    &:hover {
      opacity: 0.8;
    }
  }
}